Skip to main content
GET
Get service upgrade window
Returns the configured upgrade window for a service. Errors:
  • 401: missing, invalid, or disabled API key.
  • 403: caller lacks control-plane:service:view on the service.
  • 404: service does not exist, is not visible to the caller, or no upgrade window has been configured.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 21, 2026